[alsa-devel] mx6: Audio does not work on linux-next 20140107

Fabio Estevam festevam at gmail.com
Wed Jan 8 04:50:45 CET 2014

Hi Nicolin,

On Tue, Jan 7, 2014 at 10:49 AM, Fabio Estevam <festevam at gmail.com> wrote:
> On Tue, Jan 7, 2014 at 10:28 AM, Nicolin Chen
> <Guangyu.Chen at freescale.com> wrote:
>> On Tue, Jan 07, 2014 at 10:29:48AM -0200, Fabio Estevam wrote:
>>> Nicolin,
>>> On linux-next I am no longer able to play audio without the sdma
>>> firmware (ok, maybe we should handle this topic on another thread).
>> I haven't tested the linux-next tree with my SabreSD recently. But..would that
>> be caused by the SDMA firmware version 2? Please try this patch to trick the
>> original sdma firmware and see if it's gonna work.
> firmware/imx/sdma/sdma-imx6q.bin.ihex does not exist in mainline, so I
> can't apply your patch.
> Please send me your modified firmware offline and I can give it a try.
> It would be really better if we could play audio without using any
> firmware as in 3.13-rc7.

Just retried with your updated SDMA firmware (version 2.1) and now I
can get audio playback to work again.

Also confirmed that running with no SDMA firmware the crash still happens.

In 3.12 and 3.13-rc we are able to play audio without using any SDMA
firmware, but it we are not longer able to do this now. Other than
that, people will have to use the exact 2.1 firmware version, so there
will be a regression in 3.14, right?

Couldn't we keep the 3.12/3.13 behaviour, ie, be able to play audio
without loading any SDMA firmware?


Fabio Estevam

More information about the Alsa-devel mailing list